Static sites
Get static sites
Retrieve a list of all static sites accessible in a company.
GET
/
static-sites
Get static sites
curl --request GET \
--url https://api.sevalla.com/v2/static-sites \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sevalla.com/v2/static-sites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sevalla.com/v2/static-sites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company": {
"static_sites": {
"items": [
{
"id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
"name": "my-static-site",
"display_name": "My Static Site",
"status": "ready"
}
]
}
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err_12345",
"message": "The requested resource was not found"
}
}Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Query Parameters
Company ID
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"fb5e5168-4281-4bec-94c5-0d1584e9e657"
Maximum items per response
Required range:
1 <= x <= 100Example:
10
Pagination offset
Required range:
0 <= x <= 10000Example:
0
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
Previous
Get static siteFetch detailed information about a specific static site by its unique identifier.
Next
⌘I
Get static sites
